﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XmlProtocolSampleApp.DTO
{
    public static class StoreBoxEnums
    {
        public static class UserIdType
        {
            public static string email { get { return "email"; } }
            public static string msisdn { get { return "msisdn"; } }
            public static string pan { get { return "pan"; } }
            public static string userid { get { return "userid"; } }
        }

        public static class ReceiptImageType
        {
            public static string pdf { get { return "pdf"; } }
            public static string text { get { return "text"; } }
        }

        public static class ReceiptImageEncodingType
        {
            public static string base64 { get { return "base64"; } }
        }

        public static class Currency
        {
            public static string DKK { get { return "DKK"; } }
            public static string SEK { get { return "SEK"; } }
            public static string NOK { get { return "NOK"; } }
        }

        public static class PaymentType
        {
            public static string paymentcard { get { return "paymentcard"; } }
            public static string voucher { get { return "voucher"; } }
            public static string cash { get { return "cash"; } }
            public static string creditvoucher { get { return "creditvoucher"; } }
            public static string deposit { get { return "deposit"; } }
            public static string mobilepay { get { return "mobilepay"; } }
            public static string other { get { return "other"; } }
        }

        public static class PaymentCardType
        {
            public static string dankort { get { return "dankort"; } }
            public static string visadankort { get { return "visadankort"; } }
            public static string visa { get { return "visa"; } }
            public static string visaelectron { get { return "visaelectron"; } }
            public static string mastercard { get { return "mastercard"; } }
            public static string maestro { get { return "maestro"; } }
            public static string jcb { get { return "jcb"; } }
            public static string dinersclub { get { return "dinersclub"; } }
            public static string americanexpress { get { return "americanexpress"; } }
            public static string other { get { return "other"; } }
        }
    }
}
